__shost_for_each_device
Prev | include/scsi/scsi_device.h | Next

## Name

__shost_for_each_device — iterate over all devices of a host (UNLOCKED)

## Synopsis

`__shost_for_each_device (` |  | sdev,
|  | shost`)`;

## Arguments

`sdev`

  the struct scsi_device to use as a cursor

`shost`

  the struct scsi_host to iterate over

## Description

Iterator that returns each device attached to `shost`. It does _not_ take a reference on the scsi_device, so the whole loop must be protected by shost->host_lock.

## Note

The only reason to use this is because you need to access the device list in interrupt context. Otherwise you really want to use shost_for_each_device instead.

Prev | Up | Next
shost_for_each_device | Home | scsi_device_type